@import url('https://fonts.googleapis.com/css?family=Heebo:wght@400;700&display=swap');
*{
    box-sizing: border-box;
}
:root{
    --primery-color:#000;
    --secondary-color:#fff;
}
/* to add a transition effect  */
html{
    transition: all 0.4s ease-out;
}
/* in case of dark mood, a class .dark will be added to entire HTML
so main colors will be reversed */
html.dark{
    --primery-color:#fff;
    --secondary-color:#333;
}
html.dark{
    background-color: #555;
    color:var(--primery-color);
}
body{
    font-family: 'Heebo',sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    height:100vh;
    overflow: hidden;
}
.toggle{
    background-color: var(--primery-color);
    color:var(--secondary-color);
    cursor:pointer;
    border:0;
    border-radius: 5px;
    padding:8px 12px;
    position:absolute;
    top:100px;
}
.toggle:focus{
    outline:none;
}
.clock-container{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}
.clock{
    position: relative;
    width: 200px;
    height: 200px;
}
.needle{
    background-color: var(--primery-color);
    position: absolute;
    top:50%;
    left:50%;
    height: 65px;
    width:3px;
    /* to chane the rotation coordinate from middle to top or bottom */
    transform-origin: bottom center;
}
.needle.hour{
    transform: translate(-50%,-100%) rotate(30deg);
}
.needle.minute{
    transform: translate(-50%,-100%) rotate(10deg);
    height:90px;
}
.needle.second{
    transform: translate(-50%,-100%) rotate(-10deg);
    height:100px;
    background-color:#e74c3c;
}
.center-point{
    background-color: #e64c3c;
    width:10px;
    height: 10px;
    position: absolute;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);
    border-radius:50%;
}
.center-point::after{
    content:'';
    background-color: var(--primery-color);
    width:5px;
    height: 5px;
    position: absolute;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);
    border-radius:50%;
}
.time{
    font-size: 60px;
}
.date{
    color:#aaa;
    font-size: 14px;
    letter-spacing: 0.3px;
    text-transform: uppercase;
}
.date .circle{
    background-color: var(--primery-color);
    color:var(--secondary-color);
    border-radius: 50%;
    height:18px;
    width: 18px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    line-height: 18px;
    transition: all 0.5s ease-in;
    font-size:12px;
}